Bug 1169647 - perl-OpenOffice-UNO-0.07-15.fc22 FTBFS: No Package found for libreoffice-headless
Summary: perl-OpenOffice-UNO-0.07-15.fc22 FTBFS: No Package found for libreoffice-head...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-OpenOffice-UNO
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
Depends On: 1303619
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-02 06:28 UTC by Petr Pisar
Modified: 2016-02-29 22:23 UTC (History)
4 users (show)

Fixed In Version: perl-OpenOffice-UNO-0.07-19.fc24 perl-OpenOffice-UNO-0.07-19.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-29 22:23:18 UTC


Attachments (Terms of Use)

Description Petr Pisar 2014-12-02 06:28:52 UTC
perl-OpenOffice-UNO-0.07-15.fc22 fails to build in F22 because libreoffice-headless build-time dependency does not exist:

DEBUG util.py:333:  Executing command: ['/usr/bin/yum-builddep', '--installroot', '/var/lib/mock/f22-build-2661000-436868/root/', '/var/lib/mock/f22-build-2661000-436868/root///builddir/build/SRPMS/perl-OpenOffice-UNO-0.07-15.fc22.src.rpm', '--setopt=tsflags=nocontexts'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'LC_MESSAGES': 'C', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'HOME': '/builddir', 'HOSTNAME': 'mock'}
DEBUG util.py:283:  Getting requirements for perl-OpenOffice-UNO-0.07-15.fc22.src
DEBUG util.py:283:   --> 1:libreoffice-core-4.4.0.0-2.beta1.fc22.x86_64
DEBUG util.py:283:   --> 1:libreoffice-calc-4.4.0.0-2.beta1.fc22.x86_64
DEBUG util.py:283:   --> 1:libreoffice-sdk-4.4.0.0-2.beta1.fc22.x86_64
DEBUG util.py:283:   --> 1:libreoffice-writer-4.4.0.0-2.beta1.fc22.x86_64
DEBUG util.py:283:   --> Already installed : perl-PathTools-3.47-310.fc22.x86_64
DEBUG util.py:283:   --> Already installed : perl-Exporter-5.70-311.fc22.noarch
DEBUG util.py:283:   --> perl-ExtUtils-MakeMaker-7.02-1.fc22.noarch
DEBUG util.py:283:   --> Already installed : perl-File-Path-2.09-311.fc22.noarch
DEBUG util.py:283:   --> perl-Test-Simple-1.001009-1.fc22.noarch
DEBUG util.py:283:  Error: No Package found for libreoffice-headless

Comment 1 Jaroslav Reznik 2015-03-03 16:33:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Petr Pisar 2016-02-17 16:49:35 UTC
The broken dependency on libreoffice-headless was replaced with dependency on libreoffice-core.

Comment 3 Fedora Update System 2016-02-18 07:11:42 UTC
perl-OpenOffice-UNO-0.07-19.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7aecc5075a

Comment 4 Petr Pisar 2016-02-18 07:31:09 UTC
The libreoffice-headless dependency presents in F22 now.

Comment 5 Fedora Update System 2016-02-21 18:00:12 UTC
perl-OpenOffice-UNO-0.07-19.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7aecc5075a

Comment 6 Fedora Update System 2016-02-29 22:23:14 UTC
perl-OpenOffice-UNO-0.07-19.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.